com.genesyslab.wfm7.API.service.config761

## Class CfgAgentHolder

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config761.CfgAgentHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgAgentHolder
      extends java.lang.Object
      implements java.io.Serializable

  CfgAgentHolder contains the response to the request to load the Agent information (`CfgAgent` or `CfgAgentShort` object) .
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private CfgActivityShort[]` | `activityInfo` An array containing short pieces of information for all Activitiess that any of returned Agents are qualyfied to work on.
    `private int` | `activityInfoNSizeIs` Number of elements in the activityInfo array
    `private CfgContractAvailability[]` | `availabilityInfo` An array containing information about availability of all returned Agents.
    `private int` | `availabilityInfoNSizeIs` Number of elements in availabilityInfo array
    `private CfgBUShort[]` | `BUInfo` An array containing short pieces of information for all Business Units to which the returned Agents belong.
    `private int` | `BUInfoNSizeIs` Number of elements in the BUInfo array
    `private CfgContractShort[]` | `contractInfo` An array containing short pieces of information for all Contracts to which the returned Agents are assigned.
    `private int` | `contractInfoNSizeIs` Number of elements in contractInfo array
    `private CfgAgent[]` | `objectArray` An array of `CfgAgent`, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT detail level
    `private int` | `objectArrayNSizeIs` Number of elements in objectArray array
    `private int[]` | `objectIDArray` An array of Agent IDs, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT_ID detail level
    `private int` | `objectIDArrayNSizeIs` Number of elements in objectIDArray array
    `private CfgAgentShort[]` | `objectShortArray` An array of `CfgAgentShort`, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT_SHORT detail level
    `private int` | `objectShortArrayNSizeIs` Number of elements in objectShortArray array
    `private CfgSiteShort[]` | `siteInfo` An array containing short pieces of information for all Sites to which the returned Agents belong.
    `private int` | `siteInfoNSizeIs` Number of elements in the siteInfo array
    `private CfgTeamShort[]` | `teamInfo` An array containing short pieces of information for all Teams to which the returned Agents belong.
    `private int` | `teamInfoNSizeIs` Number of elements in teamInfo array
    `private long` | `timestamp` A timestamp value -- marks the point in time when response information was returned
    `private CfgTimezone[]` | `timezoneInfo` An array containing information for all Time Zones to which the returned Agents belong.
    `private int` | `timezoneInfoNSizeIs` Number of elements in the timezoneInfo array

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgAgentHolder()`
    `CfgAgentHolder(int objectIDArrayNSizeIs, int[] objectIDArray, int objectArrayNSizeIs, CfgAgent[] objectArray, int objectShortArrayNSizeIs, CfgAgentShort[] objectShortArray, int teamInfoNSizeIs, CfgTeamShort[] teamInfo, int contractInfoNSizeIs, CfgContractShort[] contractInfo, int availabilityInfoNSizeIs, CfgContractAvailability[] availabilityInfo, int activityInfoNSizeIs, CfgActivityShort[] activityInfo, int siteInfoNSizeIs, CfgSiteShort[] siteInfo, int BUInfoNSizeIs, CfgBUShort[] BUInfo, int timezoneInfoNSizeIs, CfgTimezone[] timezoneInfo, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CfgActivityShort[]` | `getActivityInfo()` Gets the activityInfo value for this CfgAgentHolder.
    `int` | `getActivityInfoNSizeIs()` Gets the activityInfoNSizeIs value for this CfgAgentHolder.
    `CfgContractAvailability[]` | `getAvailabilityInfo()` Gets the availabilityInfo value for this CfgAgentHolder.
    `int` | `getAvailabilityInfoNSizeIs()` Gets the availabilityInfoNSizeIs value for this CfgAgentHolder.
    `CfgBUShort[]` | `getBUInfo()` Gets the BUInfo value for this CfgAgentHolder.
    `int` | `getBUInfoNSizeIs()` Gets the BUInfoNSizeIs value for this CfgAgentHolder.
    `CfgContractShort[]` | `getContractInfo()` Gets the contractInfo value for this CfgAgentHolder.
    `int` | `getContractInfoNSizeIs()` Gets the contractInfoNSizeIs value for this CfgAgentHolder.
    `CfgAgent[]` | `getObjectArray()` Gets the objectArray value for this CfgAgentHolder.
    `int` | `getObjectArrayNSizeIs()` Gets the objectArrayNSizeIs value for this CfgAgentHolder.
    `int[]` | `getObjectIDArray()` Gets the objectIDArray value for this CfgAgentHolder.
    `int` | `getObjectIDArrayNSizeIs()` Gets the objectIDArrayNSizeIs value for this CfgAgentHolder.
    `CfgAgentShort[]` | `getObjectShortArray()` Gets the objectShortArray value for this CfgAgentHolder.
    `int` | `getObjectShortArrayNSizeIs()` Gets the objectShortArrayNSizeIs value for this CfgAgentHolder.
    `CfgSiteShort[]` | `getSiteInfo()` Gets the siteInfo value for this CfgAgentHolder.
    `int` | `getSiteInfoNSizeIs()` Gets the siteInfoNSizeIs value for this CfgAgentHolder.
    `CfgTeamShort[]` | `getTeamInfo()` Gets the teamInfo value for this CfgAgentHolder.
    `int` | `getTeamInfoNSizeIs()` Gets the teamInfoNSizeIs value for this CfgAgentHolder.
    `long` | `getTimestamp()` Gets the timestamp value for this CfgAgentHolder.
    `CfgTimezone[]` | `getTimezoneInfo()` Gets the timezoneInfo value for this CfgAgentHolder.
    `int` | `getTimezoneInfoNSizeIs()` Gets the timezoneInfoNSizeIs value for this CfgAgentHolder.
    `void` | `setActivityInfo(CfgActivityShort[] activityInfo)` Sets the activityInfo value for this CfgAgentHolder.
    `void` | `setActivityInfoNSizeIs(int activityInfoNSizeIs)` Sets the activityInfoNSizeIs value for this CfgAgentHolder.
    `void` | `setAvailabilityInfo(CfgContractAvailability[] availabilityInfo)` Sets the availabilityInfo value for this CfgAgentHolder.
    `void` | `setAvailabilityInfoNSizeIs(int availabilityInfoNSizeIs)` Sets the availabilityInfoNSizeIs value for this CfgAgentHolder.
    `void` | `setBUInfo(CfgBUShort[] BUInfo)` Sets the BUInfo value for this CfgAgentHolder.
    `void` | `setBUInfoNSizeIs(int BUInfoNSizeIs)` Sets the BUInfoNSizeIs value for this CfgAgentHolder.
    `void` | `setContractInfo(CfgContractShort[] contractInfo)` Sets the contractInfo value for this CfgAgentHolder.
    `void` | `setContractInfoNSizeIs(int contractInfoNSizeIs)` Sets the contractInfoNSizeIs value for this CfgAgentHolder.
    `void` | `setObjectArray(CfgAgent[] objectArray)` Sets the objectArray value for this CfgAgentHolder.
    `void` | `setObjectArrayNSizeIs(int objectArrayNSizeIs)` Sets the objectArrayNSizeIs value for this CfgAgentHolder.
    `void` | `setObjectIDArray(int[] objectIDArray)` Sets the objectIDArray value for this CfgAgentHolder.
    `void` | `setObjectIDArrayNSizeIs(int objectIDArrayNSizeIs)` Sets the objectIDArrayNSizeIs value for this CfgAgentHolder.
    `void` | `setObjectShortArray(CfgAgentShort[] objectShortArray)` Sets the objectShortArray value for this CfgAgentHolder.
    `void` | `setObjectShortArrayNSizeIs(int objectShortArrayNSizeIs)` Sets the objectShortArrayNSizeIs value for this CfgAgentHolder.
    `void` | `setSiteInfo(CfgSiteShort[] siteInfo)` Sets the siteInfo value for this CfgAgentHolder.
    `void` | `setSiteInfoNSizeIs(int siteInfoNSizeIs)` Sets the siteInfoNSizeIs value for this CfgAgentHolder.
    `void` | `setTeamInfo(CfgTeamShort[] teamInfo)` Sets the teamInfo value for this CfgAgentHolder.
    `void` | `setTeamInfoNSizeIs(int teamInfoNSizeIs)` Sets the teamInfoNSizeIs value for this CfgAgentHolder.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CfgAgentHolder.
    `void` | `setTimezoneInfo(CfgTimezone[] timezoneInfo)` Sets the timezoneInfo value for this CfgAgentHolder.
    `void` | `setTimezoneInfoNSizeIs(int timezoneInfoNSizeIs)` Sets the timezoneInfoNSizeIs value for this CfgAgentHolder.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### objectIDArrayNSizeIs

          private int objectIDArrayNSizeIs

      Number of elements in objectIDArray array

    - #### objectIDArray

          private int[] objectIDArray

      An array of Agent IDs, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT_ID detail level

    - #### objectArrayNSizeIs

          private int objectArrayNSizeIs

      Number of elements in objectArray array

    - #### objectArray

          private CfgAgent[] objectArray

      An array of `CfgAgent`, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT detail level

    - #### objectShortArrayNSizeIs

          private int objectShortArrayNSizeIs

      Number of elements in objectShortArray array

    - #### objectShortArray

          private CfgAgentShort[] objectShortArray

      An array of `CfgAgentShort`, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT_SHORT detail level

    - #### teamInfoNSizeIs

          private int teamInfoNSizeIs

      Number of elements in teamInfo array

    - #### teamInfo

          private CfgTeamShort[] teamInfo

      An array containing short pieces of information for all Teams to which the returned Agents belong. This is returned only if the request specifies provideTeamInfo = true

    - #### contractInfoNSizeIs

          private int contractInfoNSizeIs

      Number of elements in contractInfo array

    - #### contractInfo

          private CfgContractShort[] contractInfo

      An array containing short pieces of information for all Contracts to which the returned Agents are assigned. This is returned only if the request specifies provideContractInfo = true

    - #### availabilityInfoNSizeIs

          private int availabilityInfoNSizeIs

      Number of elements in availabilityInfo array

    - #### availabilityInfo

          private CfgContractAvailability[] availabilityInfo

      An array containing information about availability of all returned Agents. This is returned only if the request specifies provideAvailabilityInfo = true

    - #### activityInfoNSizeIs

          private int activityInfoNSizeIs

      Number of elements in the activityInfo array

    - #### activityInfo

          private CfgActivityShort[] activityInfo

      An array containing short pieces of information for all Activitiess that any of returned Agents are qualyfied to work on. This is returned only if the request specifies provideActivityInfo = true

    - #### siteInfoNSizeIs

          private int siteInfoNSizeIs

      Number of elements in the siteInfo array

    - #### siteInfo

          private CfgSiteShort[] siteInfo

      An array containing short pieces of information for all Sites to which the returned Agents belong. This is returned only if the request specifies provideSiteInfo = true

    - #### BUInfoNSizeIs

          private int BUInfoNSizeIs

      Number of elements in the BUInfo array

    - #### BUInfo

          private CfgBUShort[] BUInfo

      An array containing short pieces of information for all Business Units to which the returned Agents belong. This is returned only if the request specifies provideBUInfo = true

    - #### timezoneInfoNSizeIs

          private int timezoneInfoNSizeIs

      Number of elements in the timezoneInfo array

    - #### timezoneInfo

          private CfgTimezone[] timezoneInfo

      An array containing information for all Time Zones to which the returned Agents belong. This is returned only if the request specifies provideTimezoneInfo = true

    - #### timestamp

          private long timestamp

      A timestamp value -- marks the point in time when response information was returned

  - ### Constructor Detail

    - #### CfgAgentHolder

          public CfgAgentHolder()

    - #### CfgAgentHolder

          public CfgAgentHolder(int objectIDArrayNSizeIs,
                        int[] objectIDArray,
                        int objectArrayNSizeIs,
                        CfgAgent[] objectArray,
                        int objectShortArrayNSizeIs,
                        CfgAgentShort[] objectShortArray,
                        int teamInfoNSizeIs,
                        CfgTeamShort[] teamInfo,
                        int contractInfoNSizeIs,
                        CfgContractShort[] contractInfo,
                        int availabilityInfoNSizeIs,
                        CfgContractAvailability[] availabilityInfo,
                        int activityInfoNSizeIs,
                        CfgActivityShort[] activityInfo,
                        int siteInfoNSizeIs,
                        CfgSiteShort[] siteInfo,
                        int BUInfoNSizeIs,
                        CfgBUShort[] BUInfo,
                        int timezoneInfoNSizeIs,
                        CfgTimezone[] timezoneInfo,
                        long timestamp)

  - ### Method Detail

    - #### getObjectIDArrayNSizeIs

          public int getObjectIDArrayNSizeIs()

      Gets the objectIDArrayNSizeIs value for this CfgAgentHolder.
      Returns:
        objectIDArrayNSizeIs

    - #### setObjectIDArrayNSizeIs

          public void setObjectIDArrayNSizeIs(int objectIDArrayNSizeIs)

      Sets the objectIDArrayNSizeIs value for this CfgAgentHolder.
      Parameters:
        `objectIDArrayNSizeIs` -

    - #### getObjectIDArray

          public int[] getObjectIDArray()

      Gets the objectIDArray value for this CfgAgentHolder.
      Returns:
        objectIDArray

    - #### setObjectIDArray

          public void setObjectIDArray(int[] objectIDArray)

      Sets the objectIDArray value for this CfgAgentHolder.
      Parameters:
        `objectIDArray` -

    - #### getObjectArrayNSizeIs

          public int getObjectArrayNSizeIs()

      Gets the objectArrayNSizeIs value for this CfgAgentHolder.
      Returns:
        objectArrayNSizeIs

    - #### setObjectArrayNSizeIs

          public void setObjectArrayNSizeIs(int objectArrayNSizeIs)

      Sets the objectArrayNSizeIs value for this CfgAgentHolder.
      Parameters:
        `objectArrayNSizeIs` -

    - #### getObjectArray

          public CfgAgent[] getObjectArray()

      Gets the objectArray value for this CfgAgentHolder.
      Returns:
        objectArray

    - #### setObjectArray

          public void setObjectArray(CfgAgent[] objectArray)

      Sets the objectArray value for this CfgAgentHolder.
      Parameters:
        `objectArray` -

    - #### getObjectShortArrayNSizeIs

          public int getObjectShortArrayNSizeIs()

      Gets the objectShortArrayNSizeIs value for this CfgAgentHolder.
      Returns:
        objectShortArrayNSizeIs

    - #### setObjectShortArrayNSizeIs

          public void setObjectShortArrayNSizeIs(int objectShortArrayNSizeIs)

      Sets the objectShortArrayNSizeIs value for this CfgAgentHolder.
      Parameters:
        `objectShortArrayNSizeIs` -

    - #### getObjectShortArray

          public CfgAgentShort[] getObjectShortArray()

      Gets the objectShortArray value for this CfgAgentHolder.
      Returns:
        objectShortArray

    - #### setObjectShortArray

          public void setObjectShortArray(CfgAgentShort[] objectShortArray)

      Sets the objectShortArray value for this CfgAgentHolder.
      Parameters:
        `objectShortArray` -

    - #### getTeamInfoNSizeIs

          public int getTeamInfoNSizeIs()

      Gets the teamInfoNSizeIs value for this CfgAgentHolder.
      Returns:
        teamInfoNSizeIs

    - #### setTeamInfoNSizeIs

          public void setTeamInfoNSizeIs(int teamInfoNSizeIs)

      Sets the teamInfoNSizeIs value for this CfgAgentHolder.
      Parameters:
        `teamInfoNSizeIs` -

    - #### getTeamInfo

          public CfgTeamShort[] getTeamInfo()

      Gets the teamInfo value for this CfgAgentHolder.
      Returns:
        teamInfo

    - #### setTeamInfo

          public void setTeamInfo(CfgTeamShort[] teamInfo)

      Sets the teamInfo value for this CfgAgentHolder.
      Parameters:
        `teamInfo` -

    - #### getContractInfoNSizeIs

          public int getContractInfoNSizeIs()

      Gets the contractInfoNSizeIs value for this CfgAgentHolder.
      Returns:
        contractInfoNSizeIs

    - #### setContractInfoNSizeIs

          public void setContractInfoNSizeIs(int contractInfoNSizeIs)

      Sets the contractInfoNSizeIs value for this CfgAgentHolder.
      Parameters:
        `contractInfoNSizeIs` -

    - #### getContractInfo

          public CfgContractShort[] getContractInfo()

      Gets the contractInfo value for this CfgAgentHolder.
      Returns:
        contractInfo

    - #### setContractInfo

          public void setContractInfo(CfgContractShort[] contractInfo)

      Sets the contractInfo value for this CfgAgentHolder.
      Parameters:
        `contractInfo` -

    - #### getAvailabilityInfoNSizeIs

          public int getAvailabilityInfoNSizeIs()

      Gets the availabilityInfoNSizeIs value for this CfgAgentHolder.
      Returns:
        availabilityInfoNSizeIs

    - #### setAvailabilityInfoNSizeIs

          public void setAvailabilityInfoNSizeIs(int availabilityInfoNSizeIs)

      Sets the availabilityInfoNSizeIs value for this CfgAgentHolder.
      Parameters:
        `availabilityInfoNSizeIs` -

    - #### getAvailabilityInfo

          public CfgContractAvailability[] getAvailabilityInfo()

      Gets the availabilityInfo value for this CfgAgentHolder.
      Returns:
        availabilityInfo

    - #### setAvailabilityInfo

          public void setAvailabilityInfo(CfgContractAvailability[] availabilityInfo)

      Sets the availabilityInfo value for this CfgAgentHolder.
      Parameters:
        `availabilityInfo` -

    - #### getActivityInfoNSizeIs

          public int getActivityInfoNSizeIs()

      Gets the activityInfoNSizeIs value for this CfgAgentHolder.
      Returns:
        activityInfoNSizeIs

    - #### setActivityInfoNSizeIs

          public void setActivityInfoNSizeIs(int activityInfoNSizeIs)

      Sets the activityInfoNSizeIs value for this CfgAgentHolder.
      Parameters:
        `activityInfoNSizeIs` -

    - #### getActivityInfo

          public CfgActivityShort[] getActivityInfo()

      Gets the activityInfo value for this CfgAgentHolder.
      Returns:
        activityInfo

    - #### setActivityInfo

          public void setActivityInfo(CfgActivityShort[] activityInfo)

      Sets the activityInfo value for this CfgAgentHolder.
      Parameters:
        `activityInfo` -

    - #### getSiteInfoNSizeIs

          public int getSiteInfoNSizeIs()

      Gets the siteInfoNSizeIs value for this CfgAgentHolder.
      Returns:
        siteInfoNSizeIs

    - #### setSiteInfoNSizeIs

          public void setSiteInfoNSizeIs(int siteInfoNSizeIs)

      Sets the siteInfoNSizeIs value for this CfgAgentHolder.
      Parameters:
        `siteInfoNSizeIs` -

    - #### getSiteInfo

          public CfgSiteShort[] getSiteInfo()

      Gets the siteInfo value for this CfgAgentHolder.
      Returns:
        siteInfo

    - #### setSiteInfo

          public void setSiteInfo(CfgSiteShort[] siteInfo)

      Sets the siteInfo value for this CfgAgentHolder.
      Parameters:
        `siteInfo` -

    - #### getBUInfoNSizeIs

          public int getBUInfoNSizeIs()

      Gets the BUInfoNSizeIs value for this CfgAgentHolder.
      Returns:
        BUInfoNSizeIs

    - #### setBUInfoNSizeIs

          public void setBUInfoNSizeIs(int BUInfoNSizeIs)

      Sets the BUInfoNSizeIs value for this CfgAgentHolder.
      Parameters:
        `BUInfoNSizeIs` -

    - #### getBUInfo

          public CfgBUShort[] getBUInfo()

      Gets the BUInfo value for this CfgAgentHolder.
      Returns:
        BUInfo

    - #### setBUInfo

          public void setBUInfo(CfgBUShort[] BUInfo)

      Sets the BUInfo value for this CfgAgentHolder.
      Parameters:
        `BUInfo` -

    - #### getTimezoneInfoNSizeIs

          public int getTimezoneInfoNSizeIs()

      Gets the timezoneInfoNSizeIs value for this CfgAgentHolder.
      Returns:
        timezoneInfoNSizeIs

    - #### setTimezoneInfoNSizeIs

          public void setTimezoneInfoNSizeIs(int timezoneInfoNSizeIs)

      Sets the timezoneInfoNSizeIs value for this CfgAgentHolder.
      Parameters:
        `timezoneInfoNSizeIs` -

    - #### getTimezoneInfo

          public CfgTimezone[] getTimezoneInfo()

      Gets the timezoneInfo value for this CfgAgentHolder.
      Returns:
        timezoneInfo

    - #### setTimezoneInfo

          public void setTimezoneInfo(CfgTimezone[] timezoneInfo)

      Sets the timezoneInfo value for this CfgAgentHolder.
      Parameters:
        `timezoneInfo` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CfgAgentHolder.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CfgAgentHolder.
      Parameters:
        `timestamp` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.